<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#B3000000"
    android:gravity="center"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/close"
        android:layout_width="27dp"
        android:layout_height="62dp"
        android:contentDescription="@null"
        android:paddingStart="5dp"
        android:paddingEnd="5dp"
        android:src="@mipmap/icon_gkytj_gb" />

    <LinearLayout
        android:layout_width="600dp"
        android:layout_height="wrap_content"
        android:background="@mipmap/icon_bjtc_bg"
        android:gravity="center"
        android:orientation="vertical"
        android:paddingTop="20dp"
        android:paddingBottom="20dp">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/waringImg"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:contentDescription="@null"
                android:scaleType="centerCrop" />

            <TextView
                android:id="@+id/waringTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                tools:text="传感器监测数据异常报警，请立即核实处理。" />

        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/largeWaring"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="26dp"
            android:layout_marginEnd="12dp"
            android:visibility="gone" />

        <LinearLayout
            android:id="@+id/smallWaring"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_marginTop="26dp"
            android:layout_marginEnd="12dp"
            android:divider="@drawable/divider_transparent_10"
            android:showDividers="middle"
            android:visibility="gone">

            <TextView
                android:id="@+id/item1"
                android:layout_width="183dp"
                android:layout_height="45dp"
                android:background="@drawable/bg_item_waring"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:padding="10dp"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                android:visibility="gone"
                tools:text="一氧化碳传感器：10ppm" />

            <TextView
                android:id="@+id/item2"
                android:layout_width="183dp"
                android:layout_height="45dp"
                android:background="@drawable/bg_item_waring"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:padding="10dp"
                android:textColor="@android:color/white"
                android:textSize="13sp"
                android:visibility="gone"
                tools:text="一氧化碳传感器：10ppm" />

        </LinearLayout>

    </LinearLayout>

</LinearLayout>